Loading...
Searching...
No Matches
juce_CIPropertyDelegate.h File Reference

## Classes

struct | juce::midi_ci::PropertySubscriptionCommandUtils
| Functions to use with PropertySubscriptionCommand. More...
struct | juce::midi_ci::PropertySubscriptionHeader
| A struct containing data members that correspond to common fields in a property subscription header. More...
struct | juce::midi_ci::Pagination
| Contains information about the pagination of a request. More...
struct | juce::midi_ci::PropertyRequestHeader
| A struct containing data members that correspond to common fields in a property request header. More...
struct | juce::midi_ci::PropertyRequestData
| Bundles together a property request header and a data payload. More...
struct | juce::midi_ci::PropertyReplyHeader
| A struct containing data members that correspond to common fields in a reply to a property exchange request. More...
struct | juce::midi_ci::PropertyReplyData
| Bundles together a property reply header and a data payload. More...
struct | juce::midi_ci::PropertyDelegate
| An interface with methods that can be overridden to customise how a Device implementing properties responds to property inquiries. More...

## Namespaces

namespace | juce
namespace | juce::midi_ci

## Macros

#define | JUCE_SUBSCRIPTION_COMMANDS X(start) X(partial) X(full) X(notify) X(end)
#define | X(str)
#define | X(str)
#define | X(name)

## Enumerations

enum class | juce::midi_ci::PropertySubscriptionCommand { juce::midi_ci::start , juce::midi_ci::partial , juce::midi_ci::full , juce::midi_ci::notify , juce::midi_ci::end }
| Kinds of command that may be sent as part of a subscription update. More...

## Macro Definition Documentation

## JUCE_SUBSCRIPTION_COMMANDS

#define JUCE_SUBSCRIPTION_COMMANDS X(start) X(partial) X(full) X(notify) X(end)

Referenced by juce::midi_ci::PropertySubscriptionCommandUtils::toCommand(), and juce::midi_ci::PropertySubscriptionCommandUtils::toString().

## X [1/3]

#define X | ( |  | str | ) |

Value:
str,

## X [2/3]

#define X | ( |  | str | ) |

Value:
case PropertySubscriptionCommand::str: return #str;

## X [3/3]

#define X | ( |  | name | ) |

Value:
if (std::string_view (str) == std::string_view (#name)) return PropertySubscriptionCommand::name;
name
int UnityEventModifiers const char * name
Definition juce_UnityPluginInterface.h:201

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited